Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASV2

    java.lang.Object
      org.netlib.lapack.SLASV2

    public class SLASV2

extends java.lang.Object

    SLASV2 is a simplified interface to the JLAPACK routine slasv2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASV2 computes the singular value decomposition of a 2-by-2
     *  triangular matrix
     *     [  F   G  ]
     *     [  0   H  ].
     *  On return, abs(SSMAX) is the larger singular value, abs(SSMIN) is the
     *  smaller singular value, and (CSL,SNL) and (CSR,SNR) are the left and

     *  right singular vectors for abs(SSMAX), giving the decomposition
     *
     *     [ CSL  SNL ] [  F   G  ] [ CSR -SNR ]  =  [ SSMAX   0   ]
     *     [-SNL  CSL ] [  0   H  ] [ SNR  CSR ]     [  0    SSMIN ].
     *
     *  Arguments
     *  =========
     *
     *  F       (input) REAL
     *          The (1,1) element of the 2-by-2 matrix.
     *
     *  G       (input) REAL
     *          The (1,2) element of the 2-by-2 matrix.
     *
     *  H       (input) REAL
     *          The (2,2) element of the 2-by-2 matrix.
     *
     *  SSMIN   (output) REAL
     *          abs(SSMIN) is the smaller singular value.
     *
     *  SSMAX   (output) REAL
     *          abs(SSMAX) is the larger singular value.
     *
     *  SNL     (output) REAL
     *  CSL     (output) REAL
     *          The vector (CSL, SNL) is a unit left singular vector for the

     *          singular value abs(SSMAX).
     *
     *  SNR     (output) REAL
     *  CSR     (output) REAL
     *          The vector (CSR, SNR) is a unit right singular vector for the
     *          singular value abs(SSMAX).
     *
     *  Further Details
     *  ===============
     *
     *  Any input parameter may be aliased with any output parameter.
     *
     *  Barring over/underflow and assuming a guard digit in subtraction, all
     *  output quantities are correct to within a few units in the last
     *  place (ulps).
     *
     *  In IEEE arithmetic, the code works correctly if one matrix element is
     *  infinite.
     *
     *  Overflow will not occur unless the largest singular value itself
     *  overflows or is within a few ulps of overflow. (On machines with
     *  partial overflow, like the Cray, overflow may occur if the largest
     *  singular value is within a factor of 2 of overflow.)
     *
     *  Underflow is harmless if underflow is gradual. Otherwise, results
     *  may correspond to a matrix modified by perturbations of size near
     *  the underflow threshold.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`SLASV2()`

Method Summary
`static void` | `SLASV2(float f, float g, float h, floatW ssmin, floatW ssmax, floatW snr, floatW csr, floatW snl, floatW csl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASV2

    public SLASV2()

Method Detail

### SLASV2

    public static void SLASV2(float f,
                              float g,
                              float h,
                              floatW ssmin,
                              floatW ssmax,
                              floatW snr,
                              floatW csr,
                              floatW snl,
                              floatW csl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD